Bug 17065 - rpc.rusersd incorrectly truncates utmp fields
rpc.rusersd incorrectly truncates utmp fields
Product: Red Hat Linux
Classification: Retired
Component: rusers (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2000-08-28 22:43 EDT by Need Real Name
Modified: 2015-03-04 20:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-17 09:30:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-08-28 22:43:42 EDT
rpc.rusersd adds an extraneous null terminator that causes information
to be lost unnecessarily.  The Solaris version does not have this problem.
The following patch provides more information and a work-around:

--- rusers_proc.c.orig  Mon Aug 28 20:06:36 2000
+++ rusers_proc.c       Mon Aug 28 21:59:34 2000
@@ -300,7 +300,11 @@
 static void do_strncpy(char *tgt, const char *src, size_t len) {
     strncpy(tgt, src, len);
+    /* traditional utmp fields used by version 2 of the rusers protocol
+       are not null-terminated if they are full width */
     tgt[len-1] = 0;
+#endif /* BROKEN_UTMP */
Comment 1 Phil Knirsch 2002-01-17 09:29:56 EST
OK, checked the official rpc ruserd protocol and indeed, the strings should not
be terminated with a '\0', so i'm including this patch in the next build.

Should appear in package rusers-0.17-14 in rawhide soon.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.